﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace 动态设置屏幕分辨率
{
    public partial class Form1 : Form
    {
        int screenWidth = 0;
        int screenHeight = 0;
        // 设置的分辨率
        int fixWidth = 1024;
        int fixHeight = 768;

        public Form1()
        {
            InitializeComponent();
            Screen screen = Screen.PrimaryScreen;
            screenWidth = screen.Bounds.Width;
            screenHeight = screen.Bounds.Height;
        }
      
        private void btn获得当前分辨率_Click(object sender, EventArgs e)
        {
            MessageBox.Show("当前分辨率为" + screenWidth.ToString() + "X" + screenHeight.ToString());
        }

        private void btn修改分辨率_Click(object sender, EventArgs e)
        {
            MessageBox.Show("分辨率改变为 " + fixWidth.ToString() + " X " + fixHeight.ToString());
            ChangeResolution ChangeRes = new ChangeResolution(fixWidth, fixHeight);
        }

        private void btn还原_Click(object sender, EventArgs e)
        {
            MessageBox.Show("分辨率还原为 " + screenWidth.ToString() + " X " + screenHeight.ToString());
            ChangeResolution ChangeRes = new ChangeResolution(screenWidth, screenHeight);
        }

        private void btn旋转方向_Click(object sender, EventArgs e)
        {
            ChangeResolution.ChangeOrientation();
        }
    }
}
